using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace CallCenterApi.BLL
{
    /// <summary>
    /// T_Ask_PagerInfo
    /// </summary>
    public partial class T_Ask_PagerInfo
    {
        private readonly DAL.T_Ask_PagerInfo dal = new DAL.T_Ask_PagerInfo();
        public T_Ask_PagerInfo()
        { }
        #region  Method
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int F_PagerId)
        {
            return dal.Exists(F_PagerId);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(CallCenterApi.Model.T_Ask_PagerInfo model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(CallCenterApi.Model.T_Ask_PagerInfo model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_PagerId)
        {

            return dal.Delete(F_PagerId);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_PagerIdlist)
        {
            return dal.DeleteList(F_PagerIdlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_Ask_PagerInfo GetModel(int F_PagerId)
        {

            return dal.GetModel(F_PagerId);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_Ask_PagerInfo> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_Ask_PagerInfo> DataTableToList(DataTable dt)
        {
            List<CallCenterApi.Model.T_Ask_PagerInfo> modelList = new List<CallCenterApi.Model.T_Ask_PagerInfo>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                CallCenterApi.Model.T_Ask_PagerInfo model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = new CallCenterApi.Model.T_Ask_PagerInfo();
                    if (dt.Rows[n]["F_PagerId"] != null && dt.Rows[n]["F_PagerId"].ToString() != "")
                    {
                        model.F_PagerId = int.Parse(dt.Rows[n]["F_PagerId"].ToString());
                    }
                    if (dt.Rows[n]["F_CategoryId"] != null && dt.Rows[n]["F_CategoryId"].ToString() != "")
                    {
                        model.F_CategoryId = int.Parse(dt.Rows[n]["F_CategoryId"].ToString());
                    }
                    if (dt.Rows[n]["F_Title"] != null && dt.Rows[n]["F_Title"].ToString() != "")
                    {
                        model.F_Title = dt.Rows[n]["F_Title"].ToString();
                    }
                    if (dt.Rows[n]["F_StartText"] != null && dt.Rows[n]["F_StartText"].ToString() != "")
                    {
                        model.F_StartText = dt.Rows[n]["F_StartText"].ToString();
                    }
                    if (dt.Rows[n]["F_EndText"] != null && dt.Rows[n]["F_EndText"].ToString() != "")
                    {
                        model.F_EndText = dt.Rows[n]["F_EndText"].ToString();
                    }
                    if (dt.Rows[n]["F_Remark"] != null && dt.Rows[n]["F_Remark"].ToString() != "")
                    {
                        model.F_Remark = dt.Rows[n]["F_Remark"].ToString();
                    }
                    if (dt.Rows[n]["F_ArrQuestion"] != null && dt.Rows[n]["F_ArrQuestion"].ToString() != "")
                    {
                        model.F_ArrQuestion = dt.Rows[n]["F_ArrQuestion"].ToString();
                    }
                    if (dt.Rows[n]["F_FullScore"] != null && dt.Rows[n]["F_FullScore"].ToString() != "")
                    {
                        model.F_FullScore = int.Parse(dt.Rows[n]["F_FullScore"].ToString());
                    }
                    if (dt.Rows[n]["F_Times"] != null && dt.Rows[n]["F_Times"].ToString() != "")
                    {
                        model.F_Times = int.Parse(dt.Rows[n]["F_Times"].ToString());
                    }
                    if (dt.Rows[n]["F_CreateOn"] != null && dt.Rows[n]["F_CreateOn"].ToString() != "")
                    {
                        model.F_CreateOn = DateTime.Parse(dt.Rows[n]["F_CreateOn"].ToString());
                    }
                    if (dt.Rows[n]["F_CreateBy"] != null && dt.Rows[n]["F_CreateBy"].ToString() != "")
                    {
                        model.F_CreateBy = int.Parse(dt.Rows[n]["F_CreateBy"].ToString());
                    }
                    if (dt.Rows[n]["F_ModifyOn"] != null && dt.Rows[n]["F_ModifyOn"].ToString() != "")
                    {
                        model.F_ModifyOn = DateTime.Parse(dt.Rows[n]["F_ModifyOn"].ToString());
                    }
                    if (dt.Rows[n]["F_ModifyBy"] != null && dt.Rows[n]["F_ModifyBy"].ToString() != "")
                    {
                        model.F_ModifyBy = int.Parse(dt.Rows[n]["F_ModifyBy"].ToString());
                    }
                    if (dt.Rows[n]["F_DeleteFlag"] != null && dt.Rows[n]["F_DeleteFlag"].ToString() != "")
                    {
                        model.F_DeleteFlag = int.Parse(dt.Rows[n]["F_DeleteFlag"].ToString());
                    }
                    modelList.Add(model);
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        //public DataSet GetList(int PageSize,int PageIndex,string strWhere)
        //{
        //return dal.GetList(PageSize,PageIndex,strWhere);
        //}

        #endregion  Method
    }
}

